Forum Linux.debian/ubuntu Java JDK et JRE ensemble sous Ubuntu 12.04 64 bits ?

Posté par  .
Étiquettes :
0
18
mai
2012

Bonjour,

Un site commercial (tirage photos) sur lequel je voulais aller nécessite la version sun-java-jre (j'ai mis la dernière version stable proposée). J'ai donc, comme conseillé sur de nombreux sites, supprimé icedtea et openjdk puis installé sun-java.

J'ai maintenant bien accès à ce site et j'obtiens ce que je voulais (accès à leur logiciel de construction d'album photo).
Il faut dire que ces gestionnaires annoncent une compatibilité win, osx ET linux mais dès qu'on rencontre un petit problème avec linux … c'est la débandade. Ils ne connaissent que win.

Bref, mon ordi tourne normalement et j'ai accès à ce site.

Je m'interroge tout de même : j'ai unity sous Ubunutu 12.04.
Mes interrogations :

  • avoir supprimé les versions jdk de mon système est-il pénalisant (dysfonctionnements, logiciels HS, …) pour moi ?
  • Si oui, est-il alors possible de réinstaller java jdk en plus de sun-java-jre et alors, comment dire à Ubuntu d'aller utiliser l'un ou l'autre ?

Merci.

  • # site?

    Posté par  (site Web personnel) . Évalué à 2.

    Quel est ce site pas web qui demande Java?

    Incubez l'excellence sur https://linuxfr.org/board/

  • # Qui, quoi, comment ?

    Posté par  . Évalué à 0.

    C'est le site Foto.com.
    Lors de mes premiers essais (avec jdk, icedtea installés par défaut avec Ubuntu 12.04), je parvenais à lancer "l'application", ou du moins un début d'application java jusqu'au moment où les fenêtres permettant d'utiliser leur programme de création d'album devaient apparaître et là, plus rien n'avance et un message "error" apparaît à l'écran sur leur site, pas sur ma machine.
    Ils suggéraient une installation de java version -24. J'étais allé jusqu'à la -30 sans résultat autre que le laconique "error".
    Mais je pouvais tout faire sur le site sauf créer un album de quel que type que ce soit.

    Après avoir effectué les modifs que j'ai détaillées ci-dessus (suppression et installation de sun-java), j'ai enfin pu obtenir l'accès à cette partie du site. Je suis en train de créer l'album de mes rêves.

    Ce que je me demande, c'est si je peux faire cohabiter deux versions différentes de java : la sun-jav jre et celle développée pour jdk sur une même machine Ubuntu 12.04 (et suivantes) au cas où une application demanderait jdk.
    Et si oui, je voudrais savoir comment faire cohabiter ces versions pour que Ubuntu sache laquelle utiliser.

    Pour de plus amples détails, mon post sur le site Ubuntu.

    A+

  • # Rétrocompatibilité

    Posté par  (site Web personnel) . Évalué à 2.

    Le jdk officiel se soucie de la rétrocompatibilité, et certaines applications sont toujours en Java 1.5 (ou 5) (ce doit être ton cas), alors que OpenJDK a été conçu pour être optimisé Java 6.

    Commentaire sous licence LPRAB - http://sam.zoy.org/lprab/

  • # update alternatives ?

    Posté par  (site Web personnel) . Évalué à 3.

    http://doc.ubuntu-fr.org/java#utilisation_de_sun-java_sans_desinstaller_openjdk

    L'association LinuxFr ne saurait être tenue responsable des propos légalement repréhensibles ou faisant allusion à l'évêque de Rome, au chef de l'Église catholique romaine ou au chef temporel de l'État du Vatican et se trouvant dans ce commentaire

  • # Merci

    Posté par  . Évalué à 0.

    Bonjour,
    Pour ce qui est de la rétrocompatibilité, je suis d'accord mais ce n'est pas le problème évoqué.
    Le problème vient du fait que le site de tirage photo travaille avec sun-java 6-24 minimum et que la version jdk n'est pas supportée entièrement par sun et vice-et-versa. D'où les problèmes de connexion et d'affichage.
    Dès que j'ai eu installé sun-java 6-31, plus de problème avec le site photo. J'ai accès à toutes leurs applications.

    Ce que je me demandais c'est si je peux installer 2 versions différentes de java (1 sdk + 1 jre) sur mon Ubuntu 12.04 sans causer de problème majeur et aussi comment faire pour permettre à Ubuntu ou un des logiciels que j'ai installés sur ma machine de pouvoir utiliser la version java dont il a besoin pour bien fonctionner.

    J'ai obtenu la réponse à ces question avec le dernier post.

    Merci à tous.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n’en sommes pas responsables.